Bug 230652 - missing dejagnu.info
missing dejagnu.info
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dejagnu (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 17:23 EST by Frank Ch. Eigler
Modified: 2015-05-04 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 07:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2007-03-01 17:23:55 EST
dejagnu's texinfo documentation does not appear to be built/packaged,
even though e.g. runtest.1 says it should be there.

dejagnu.noarch                           1:1.4.4-5.1            installed
Comment 1 Petr Machata 2007-03-07 07:54:40 EST
This is written in doc/Makefile in the dejagnu distribution:

# FIXME: We need to generate an info doc from SGML somehow, but for
# now, don't install the old texinfo document from version 1.3
# info_TEXINFOS = dejagnu.texi

I "fixed" it by removing the mentions of dejagnu.info from the manpage.  Note
that dejagnu ships pdf document (/usr/share/doc/dejagnu-1.4.4/overview.pdf) with
detailed description, which can be in limited way used as a dejagnu.info
replacement.
Comment 2 Tom Tromey 2007-11-09 13:33:36 EST
I looked at the dejagnu cvs repository, and now they seem to generate
dejagnu.texi from the xml:

doc/dejagnu.texi: $(XML)
	$(DOCBOOK2TEXI) --string-param directory-description="The GNU testing
framework." --string-param directory-category="Programming"
$(srcdir)/doc/dejagnu.xml
	mv dejagnu.texi $(srcdir)/doc

... so, would you mind restoring the info file?  Like many Emacs users,
I find info to be much friendlier than the alternative formats -- certainly
much more usable than a PDF.

I can file a new bug if you'd prefer.
Comment 3 Petr Machata 2007-11-12 12:05:31 EST
Updated in rawhide, waiting for push in F8. Ok for you?
Comment 4 Tom Tromey 2007-11-12 15:09:00 EST
Sounds great!
FWIW I checked rawhide but didn't see it; I'll check again in a couple days.
Comment 5 Fedora Update System 2007-11-12 19:09:06 EST
dejagnu-1.4.4-11.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.